repo/gentoo:master commit in: dev-python/django-js-asset/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117912.d0039b7aa783363687435b16627e04ccb42cf087.mgorny@gentoo>
commit:     d0039b7aa783363687435b16627e04ccb42cf087
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 05:13:08 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:32 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0039b7a

dev-python/django-js-asset: Bump to 4.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-js-asset/Manifest                |  2 ++
 .../django-js-asset/django-js-asset-4.0.2.ebuild   | 37 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/django-js-asset/Manifest b/dev-python/django-js-asset/Manifest
index d9cd4a3d0421..cb8c656b51d3 100644
--- a/dev-python/django-js-asset/Manifest
+++ b/dev-python/django-js-asset/Manifest
@@ -1,2 +1,4 @@
 DIST django_js_asset-4.0.1.tar.gz 26827 BLAKE2B 95594dae9a0826fee6e9203ea358ff21e255f472c0723185a91d6fe7e9e3e33e9cded5aaba1dd816dfaa7072332831b21f346fed556c7dd66f87cc444407613b SHA512 76b940fd47f4e3c1cfee6998c2867aef1707a0c4d549b041030df5f8bd6cd2d98c27a2bbda835dbd7a6e92f4965b4aade815eaaf8218867631e7b0fd59deb80e
 DIST django_js_asset-4.0.1.tar.gz.provenance 9931 BLAKE2B 48cb24010a60da9562fed062b8b70f6f23643e01cd4865941f094c0a2f0e68b2c690a98ce1d2ddc87d027bc7a53b2622b9b61ed9dd40285f95505b2ef2d523d7 SHA512 8332f4ad562cd922dc2ba391f756c71104796387154b8732b4ed1d571336a1c0731166467f3f2530e51546a3b95009b8c3bcb26371f6aae57657ea5065bfffc7
+DIST django_js_asset-4.0.2.tar.gz 34257 BLAKE2B 4ff57b8167ab17e18264db5546137313247ec2ce5ece69bb3c9b2d2a024e51215d3cb6a3cbca3e03cb8f9449422294a3489ab7d4c27171aa1535d0189f377dd3 SHA512 65e6f8704fe7a888f2f11de74081f09afab5d31b1777e361e4ddf6ddc94e95f62175a11f3c0f85286c3fc885e98a97228166178ab60127b92dc58ed447d1fe17
+DIST django_js_asset-4.0.2.tar.gz.provenance 9839 BLAKE2B c94358eb96617468ca9fd07d46852e33792ec40ab941d4458fec413f10dbb61ab4ce58add3071f9b11827acd58ace4d33df648fd4ea5169c086856664912be62 SHA512 2319598f54749178450b7c8ea9c5154c6036190f337976cbb9ff355f48b502e4059c20e2cf99c4654aed15ee9b4c63fb5d224bffee9ad995a058aa22ce005518

diff --git a/dev-python/django-js-asset/django-js-asset-4.0.2.ebuild b/dev-python/django-js-asset/django-js-asset-4.0.2.ebuild
new file mode 100644
index 000000000000..a655b99a7712
--- /dev/null
+++ b/dev-python/django-js-asset/django-js-asset-4.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/feincms/django-js-asset
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Script tag with additional attributes for django.forms.Media"
+HOMEPAGE="
+	https://github.com/feincms/django-js-asset/
+	https://pypi.org/project/django-js-asset/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+	)
+"
+
+python_test() {
+	cd tests || die
+	local -x DJANGO_SETTINGS_MODULE=testapp.settings
+	"${EPYTHON}" manage.py test -v 2 || die "Tests failed with ${EPYTHON}"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.